import db from '../db'
import { DataTypes } from 'sequelize'

const Account = db.define('account', {
  address: DataTypes.STRING,
  format: DataTypes.STRING,
  about: DataTypes.TEXT,
})

Account.findAllWithIncludes = function () {
  return this.findAll({
    include: [{ model: db.models.member }, { association: 'vote' }],
  })
}

Account.findWithIncludes = function (args: { where: any }) {
  return this.findAll({
    ...args,
    include: [{ model: db.models.member }, { association: 'vote' }],
  })
}

export default Account
