import db from '../db'
import { DataTypes } from 'sequelize'

const Era = db.define('era', {
  id: {
    type: DataTypes.INTEGER,
    primaryKey: true,
  },
  waiting: DataTypes.INTEGER,
  actives: DataTypes.INTEGER,
  maxSlots: DataTypes.INTEGER,
  timestamp: DataTypes.DATE,
})

Era.findAllWithIncludes = function () {
  return this.findAll({
    include: [
      {
        model: db.models.block,
        include: [{ association: 'author' }, { model: db.models.event }],
      },
    ],
  })
}

Era.findByIdWithIncludes = function (id: number) {
  return this.findByPk(id, {
    include: [
      {
        model: db.models.block,
        include: [{ association: 'author' }, { model: db.models.event }],
      },
    ],
  })
}

Era.findWithIncludes = function (args: { where: any }) {
  return this.findAll({
    ...args,
    include: [
      {
        model: db.models.block,
        include: [{ association: 'author' }, { model: db.models.event }],
      },
    ],
  })
}

export default Era
