const intro = String.raw`Welcome to JoystreamStats.live APIv1!

This API exposes json objects for following routes accessible via any browser:

  /blocks	      returns all known blocks
  /blocks/:id	      returns one block if found

  /events	      returns all events
  /events/:id	      returns one event if found
  /events/sections    returns all sections found on events
  /events/methods     returns all methods found on events
  /events/{method|section}    all events using method / section, for example:
  /events/{balances|transfer|reward|[era]payout|voted|[un]bonded|..}
  /events/{:method}/:key     events using :method containing :key in data

  /eras		      returns all known eras
  /eras/:id	      returns one era if found

  /members	      returns all known members
  /members/:id	      returns one membership if found (id: number or handle)
  /members/:id/posts  	      all posts by member
  /members/:id/proposals      all proposals by member
  /members/:id/termns  	      all council terms by member
  /members/:id/votes  	      all proposal and coucnil votes by member

  /councils	      returns all council terms including votes
  /councils/:id	      returns specific term with votes

  /proposals	      returns all known proposals
  /proposals/:id      returns one proposal if found

  /channels	      returns all known channels
  /channels/:id	      returns one channel if found

  /categories	      returns all known categories
  /categories/:id     returns one category if found

  /threads	      returns all known threads
  /threads/:id	      returns one thread if found

  /posts	      returns all known posts
  /posts/:id	      returns one post if found
`

export default intro